#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	FCGI
Summary:	FCGI - Fast CGI module
Summary(pl.UTF-8):	FCGI - szybki moduł CGI
Name:		perl-FCGI
Version:	0.78
Release:	6
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/FCGI/FCGI-%{version}.tar.gz
# Source0-md5:	916cd2887b27265cd8dcfd3280135270
Source1:	%{name}-acinclude.m4
Patch0:		am.patch
URL:		http://search.cpan.org/dist/FCGI/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a FastCGI module for perl. It's based on the FCGI module that
comes with Open Market's FastCGI Developer's Kit, but does not require
you to recompile perl.

%description -l pl.UTF-8
To jest moduł FastCGI. Jest bazowany na module FCGI dostarczanym z
FastCGI Developer's Kit, ale nie wymaga rekompilacji Perla.

%prep
%setup -q -n %{pdir}-%{version}
%patch0 -p1
cp -f %{SOURCE1} acinclude.m4

%build
%{__aclocal}
%{__autoconf}
%configure
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install eg/*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_vendorarch}/FCGI.pm
%dir %{perl_vendorarch}/auto/FCGI
%attr(755,root,root) %{perl_vendorarch}/auto/FCGI/FCGI.so
%{_mandir}/man3/FCGI.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-FCGI.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 4d612c3
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 7dca68e
- release 5

* Wed Feb 21 2018 Marcin Krol <hawk@tld-linux.org> 00c9b8a
- release 4

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a6b7727
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a4728ac
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 4412f1d
- Up to 0.78

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> f71f930
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> c1acdf0
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> c33fcf6
- x32 rebuild
- release 2 (by relup.sh)

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 349f4ca
- updated to 0.77

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 8ae6519
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c633632
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8be1a97
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> d48981c
- fix building with automake 1.13
- rel 3

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6ec0b9a
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> cf22517
- updated to 0.74

* Thu Aug 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8423364
- up to 0.73

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> 83b843d
- 0.71

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 0f0fe84
- release 9

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> be6cf32
- release 8

